Search

Search notes

Full-text search across all notes and timeline entries. Part of the global search API.

GET /v1/search/timeline

Parameters

Query parameters

searchQuery
string
contactId
string (uuid)
startDate
string
endDate
string
take
integer
cursor
string
includeContactDetails
boolean

Responses

200 — Successful response

Content-Type: application/json

error
boolean required
data
object required
data.items
array<object> required
data.items[].id
string (uuid) required
data.items[].user_id
string
data.items[].note
string | null
data.items[].custom_emoji
string | null
data.items[].meeting_type
string | null
data.items[].meeting_type_id
string (uuid) | null
data.items[].event_time
string (date-time)
data.items[].created_at
string (date-time)
data.items[].google_calendar_event_id_v3
string | null
data.items[].oauth_credential_id
string (uuid) | null
data.items[].calendar_account_email
string | null
data.items[].calendar_account_provider
string enum
Possible values: "GOOGLE", "OFFICE365"
data.items[].reminder_id
string (uuid) | null
data.items[].channels
array<string enum> required
data.items[].next_cursor
string
data.items[].meeting_types
object | null required
data.items[].timeline_items_contacts
array<object>
data.items[].attachments
array<object>
data.nextCursor
string (uuid) | null required
data.count
integer required

Example

{
  "error": false,
  "data": {
    "items": [
      {
        "id": "00000000-0000-0000-0000-000000000000",
        "channels": [
          "whatsapp"
        ],
        "meeting_types": {}
      }
    ],
    "nextCursor": "00000000-0000-0000-0000-000000000000",
    "count": 0
  }
}

400

No response body.

401

No response body.

403

No response body.

404

No response body.

429

No response body.

500

No response body.

Code samples

curl https://api.prod.getdex.com/v1/search/timeline \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026